This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 149663

Summary: xen0 boot hangs on thinkpad R51
Product: [Fedora] Fedora Reporter: Michael De La Rue <mvyynqbgerqungqbgpbz.yeuhc>
Component: xenAssignee: Rik van Riel <riel>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: rawhide   
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: fc5 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-02-23 18:26:15 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
lspci taken on thinkpad R51 whilst booted into non xen kernel
none
boot logs showing crashes including with moved X VM86 component none

Description Michael De La Rue 2005-02-24 16:55:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
When my system boots to xen it hangs with no response from the screen.  The exact nature of the hang seems to depend if I turn off ACPI or not.  

Version-Release number of selected component (if applicable):
kernel-xen0-2.6.10-1.1143_FC4

How reproducible:
Always

Steps to Reproduce:
1. install Xen and xen kernel
2. boot
3. choose xen from grub
  

Actual Results:  kernel boot ends at varied points with a total system hang.  




Expected Results:  system should have booted fully 

Additional info:

I have come from FC3 to add the development packages by using yum install xen.  I also end up with a problem with rpm (separate bug), but that seems to be unrelated.
Comment 1 Michael De La Rue 2005-02-24 17:21:17 EST
booting to non graphical mode by editing the first module line (which
actually contains the linux kernel arguments) works around this
problem.  I think that the actual problem is an X-server hang of some
kind triggered by xen.  
Comment 2 Michael De La Rue 2005-02-25 02:19:57 EST
I tested this, by pinging the machine continually.  At the time the X
server starts, the system stops responding to ping.  If I pass
acpi=off to the kernel, then the screen freezes, (just after the
message "Starting HAL daemon") but the system still boots okay and I
can get in via SSH.  

Maybe it's this problem below, but I thought the RedHat xen was
already the latest version?:-

Xen FAQ: http://www.cl.cam.ac.uk/Research/SRG/netos/xen/faq.html

3.5 I'm trying to get X working in domain 0 but the server seems to
hang (or domain 0 panics). What's going on?

It's likely your X server is trying to use agpgart, support for which
is currently included only in the 2.0-testing and unstable trees. Try
downloading a new tarball, or clone one of the BK repositories. 
Comment 3 Rik van Riel 2005-02-25 09:31:25 EST
Could you please give me the output of lspci so I can see what kind of video
card, mainboard chipset, etc your laptop has?

Also, could you try starting X after "mv /usr/X11R6/lib/modules/linux/libint10.a
/usr/X11R6/lib/modules/linux/unused-libint10.a", so X tries starting up using
the emulation code, instead of using VM86 code ?
Comment 4 Michael De La Rue 2005-02-25 16:16:21 EST
Created attachment 111442 [details]
lspci taken on thinkpad R51 whilst booted into non xen kernel

this is the output of lspci on the laptop whilst running the normal working 2.6
kernel.  
uname:
Linux XXXX 2.6.10-1.1142_FC4 #1 Mon Feb 14 22:13:32 EST 2005 i686 i686 i386
GNU/Linux
Comment 5 Michael De La Rue 2005-02-25 16:33:10 EST
Created attachment 111443 [details]
boot logs showing crashes including with moved X VM86 component

I tried the move that you suggested and it didn't seem to make any difference. 
Here are various boot logs and a dmesg in file names which should be self
explanatory.
Comment 6 Michael De La Rue 2005-03-02 17:09:38 EST
try to get rid of needinfo status by putting in a comment..
Comment 7 Rik van Riel 2005-03-02 17:25:16 EST
Added to my TODO list - I think I have some similar hardware around, with intel
agp bridge and radeon video card.  Not quite the same, but it'll probably hang
in the same way if it's a pure software bug.
Comment 8 Rik van Riel 2005-03-07 17:12:56 EST
Robin Green found a logic inversion in one of my patches, in the FPU state
saving code path.  Graphics seems more stable on my system here, now.

I don't know whether it'll fix things for you, but there's a chance that kernel
2.6.11-1.1176_FC4 will fix them, so please try them out and change the status of
the bug back to ASSIGNED if things are still broken.
Comment 9 Jeremy Katz 2006-02-23 18:26:15 EST
Closing due to inactivity.  Please reopen if this is still a problem in FC5 test3
Comment 10 Michael De La Rue 2006-04-15 16:49:34 EDT
I finally managed to get my hands on the same system again with the ability to
reinstall.  With FC5 final release, there is no problem booting with kernel-Xen0
active, so this particular bug should be closed.
Comment 11 Michael De La Rue 2006-04-15 16:50:40 EDT
I finally managed to get my hands on the same system again with the ability to
reinstall.  With FC5 final release, there is no problem booting with kernel-Xen0
active, so this particular bug should stay closed.